Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1051208 - Trivial change for ppc64le in GraphicsMagick spec
Summary: Trivial change for ppc64le in GraphicsMagick spec
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-01-09 20:45 UTC by Brent Baude
Modified: 2014-01-10 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-09 22:48:23 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-01-09 20:45:47 UTC
Please consider the following trivial change to the graphicsmagick spec to enable the ppc64le arch:

diff --git a/GraphicsMagick.spec b/GraphicsMagick.spec
index 71a935e..0e6b94e 100644
--- a/GraphicsMagick.spec
+++ b/GraphicsMagick.spec
@@ -14,11 +14,11 @@
 %global libQ -Q16
 %endif
 
-%define multilib_archs x86_64 %{ix86} ppc64 ppc s390x s390 sparc64 sparcv9
+%define multilib_archs x86_64 %{ix86} ppc64 ppc64le ppc s390x s390 sparc64 sparcv9
 # hack for older platforms/rpm-versions that do not support %%__isa_bits (like el5)
 %ifarch %{multilib_archs}
 %if ! 0%{?__isa_bits:1}
-%ifarch x86_64 s390x ia64 ppc64 sparc64
+%ifarch x86_64 s390x ia64 ppc64 ppc64le sparc64
 %global __isa_bits 64
 %else
 %global __isa_bits 32

Comment 1 Rex Dieter 2014-01-09 22:29:27 UTC
No problem.

Comment 2 Rex Dieter 2014-01-09 22:30:39 UTC
Though I think only the first bit is needed.  the part below is needed only on legacy platforms with rpm versions that doesn't define __isa_bits already.

Comment 3 Rex Dieter 2014-01-09 22:48:23 UTC
%changelog
* Thu Jan 09 2014 Rex Dieter <rdieter@fedoraproject.org> 1.3.19-3
- ppc64le is a multilib arch (#1051208)


Note You need to log in before you can comment on or make changes to this bug.